<?php
    class textarea_form
    {
        function textarea($name,$transli)
        { 
            global $brodilka;
			global $settings_shcms;
            echo '<div class="BoxButtom">';
	            if($brodilka == "web")
                {      
				if($transli == true)
				{
                    if($settings_shcms['trans'] == 1)
	                {
                        echo '<span style="float:left; margin-top:5px;"><select name="tran">
                              <option value="0">Без транслита</option>
                              <option value="1">с ENG на RUS</option>
                              <option value="2">с RUS на ENG</option>
                              </select></span>';
	                }
		        else
		        {
		            echo '<br/>Транслит:<br/><select name="tran">
                    <option value="0">Без транслита</option>
                    <option value="1">с ENG на RUS</option>
                    <option value="2">с RUS на ENG</option>
                    </select><br/>';
		        }
				}
				}
				if($name == true)
				{
				echo '<input  type="submit" name="submit" value="'.$name.'"> ';
				}else {
		            echo '<input  type="submit" name="submit"> ';
				}
		            echo '<input  type="submit" name="refresh" value="Обновить">';
		            echo '</form></div>';
			if($brodilka == "web")
            {    
				echo '</div>';
			}
        }
    }
$form = new textarea_form;
?>